package com.css.simulation.oauth.client.mapper;


import api.common.pojo.po.UserPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

@Mapper
public interface UserMapper {

    @Results(id = "user", value = {
            @Result(property = "id", column = "id", jdbcType = JdbcType.VARCHAR),
            @Result(property = "username", column = "username", jdbcType = JdbcType.VARCHAR),
            @Result(property = "password", column = "password", jdbcType = JdbcType.VARCHAR),
            @Result(property = "isDeleted", column = "is_deleted", jdbcType = JdbcType.VARCHAR)
    })
    @Select("select id,\n" +
            "       username,\n" +
            "       password,\n" +
            "       is_deleted\n" +
            "from system_user\n" +
            "where openid = #{openid}")
    UserPO selectByOpenIdIgnoreDelete(@Param("openid") String openid);


    @ResultMap("user")
    @Select("select id,\n" +
            "       username,\n" +
            "       password\n" +
            "from system_user\n" +
            "where is_deleted = '0'\n" +
            "   and is_deactivate = '0'" +
            "   and username = #{username}")
    UserPO selectByUsername(@Param("username") String username);

    @Update("update system_user\n" +
            "set is_delete = #{isDeleted}\n" +
            "   where openid = #{openid}")
    void updateIsDeleted(@Param("openid") String openid,@Param("isDeleted") String isDeleted);




    //* -------------------------------- insert --------------------------------
    @Insert("insert into system_user(id,\n" +
            "                        username,\n" +
            "                        nickname,\n" +
            "                        openid,\n" +
            "                        password,\n" +
            "                        create_time,\n" +
            "                        modify_time,\n" +
            "                        create_user_id,\n" +
            "                        modify_user_id,\n" +
            "                        is_deleted)\n" +
            "values (\n" +
            "           #{user.id},\n" +
            "           #{user.username},\n" +
            "           #{user.nickname},\n" +
            "           #{user.openid},\n" +
            "           #{user.password},\n" +
            "           #{user.createTime},\n" +
            "           #{user.modifyTime},\n" +
            "           #{user.createUserId},\n" +
            "           #{user.modifyUserId},\n" +
            "           #{user.isDeleted}\n" +
            "       )")
    void insert(@Param("user") UserPO userPO);


}