package com.css.simulation.oauth.server.mapper;


import api.common.pojo.po.UserPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

/**
 * 将查询接口放到第一个，用于写 @Results注解
 */
@Mapper
public interface UserMapper {

    //* -------------------------------- select --------------------------------

    @Results(id = "user", value = {
            @Result(property = "id", column = "id", jdbcType = JdbcType.VARCHAR),
            @Result(property = "username", column = "username", jdbcType = JdbcType.VARCHAR),
            @Result(property = "password", column = "password", jdbcType = JdbcType.VARCHAR),
            @Result(property = "phone", column = "phone", jdbcType = JdbcType.VARCHAR),
            @Result(property = "isSub", column = "is_sub", jdbcType = JdbcType.VARCHAR),
            @Result(property = "parentId", column = "parent_id", jdbcType = JdbcType.VARCHAR)
    })
    @Select("select id,\n" +
            "       username,\n" +
            "       password,\n" +
            "       phone,\n" +
            "       is_sub,\n" +
            "       parent_id\n" +
            "from system_user\n" +
            "where is_deleted = '0'" +
            "   and username = #{username}")
    UserPO selectByUsername(@Param("username") String username);


}
