package com.css.simulation.resource.scheduler.manager;

import com.css.simulation.resource.scheduler.mapper.TaskIndexMapper;
import com.css.simulation.resource.scheduler.pojo.po.TaskIndexPO;
import org.apache.ibatis.session.ExecutorType;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class TaskIndexManager {

    @Autowired
    private SqlSessionFactory sqlSessionFactory;

    public void batchInsertLeafIndex(List<TaskIndexPO> leafTaskIndexList) {

        try(SqlSession sqlSession = sqlSessionFactory.openSession(ExecutorType.BATCH,false)){
            TaskIndexMapper taskIndexMapper = sqlSession.getMapper(TaskIndexMapper.class);
            for (TaskIndexPO taskIndexPO : leafTaskIndexList) {
                taskIndexMapper.insertLeafIndex(taskIndexPO);
            }
            sqlSession.commit();
        }
    }
}
