package com.css.simulation.resource.scheduler.manager;

import com.css.simulation.resource.scheduler.mapper.TaskMapper;
import com.css.simulation.resource.scheduler.pojo.po.TaskPO;
import org.apache.ibatis.session.ExecutorType;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class TaskManager {

    @Autowired
    private SqlSessionFactory sqlSessionFactory;

    public void batchUpdateByScoreResult(List<TaskPO> taskList) {

        try(SqlSession sqlSession = sqlSessionFactory.openSession(ExecutorType.BATCH,false)){
            TaskMapper taskMapper = sqlSession.getMapper(TaskMapper.class);
            for (TaskPO taskPO : taskList) {
                taskMapper.updateByScoreResult(taskPO);
            }
            sqlSession.commit();
        }
    }
}
