package com.css.simulation.resource.scheduler.mapper;


import com.css.simulation.resource.scheduler.pojo.po.TaskIndexPO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 任务指标
 * simulation_mpt_first_target_score
 * simulation_mpt_last_target_score
 */
@Mapper
public interface TaskIndexMapper {


    @Insert("insert into simulation_mpt_last_target_score(id,\n" +
            "                                             p_id,\n" +
            "                                             target,\n" +
            "                                             not_standard_scene_num,\n" +
            "                                             score,\n" +
            "                                             create_time,\n" +
            "                                             create_user_id,\n" +
            "                                             modify_time,\n" +
            "                                             modify_user_id,\n" +
            "                                             is_deleted)\n" +
            "values (#{leaf.id},\n" +
            "        #{leaf.pId},\n" +
            "        #{leaf.target},\n" +
            "        #{leaf.notStandardSceneNum},\n" +
            "        #{leaf.score},\n" +
            "        #{leaf.createTime},\n" +
            "        #{leaf.createUserId},\n" +
            "        #{leaf.modifyTime},\n" +
            "        #{leaf.modifyUserId},\n" +
            "        #{leaf.isDeleted})")
    void insertLeafIndex(@Param("leaf") TaskIndexPO taskIndexPO);

    @Insert("insert into simulation_mpt_first_target_score(id,\n" +
            "                                             p_id,\n" +
            "                                             target,\n" +
            "                                             score,\n" +
            "                                             create_time,\n" +
            "                                             create_user_id,\n" +
            "                                             modify_time,\n" +
            "                                             modify_user_id,\n" +
            "                                             is_deleted)\n" +
            "values (#{total.id},\n" +
            "        #{total.pId},\n" +
            "        #{total.target},\n" +
            "        #{total.score},\n" +
            "        #{total.createTime},\n" +
            "        #{total.createUserId},\n" +
            "        #{total.modifyTime},\n" +
            "        #{total.modifyUserId},\n" +
            "        #{total.isDeleted})")
    void insertTotalIndex(@Param("total")TaskIndexPO totalTaskIndex);
}
