package com.css.simulation.resource.model.service;

import api.common.pojo.constants.DictConstants;
import api.common.pojo.param.model.GpsParam;
import api.common.pojo.po.model.GpsPO;
import api.common.pojo.vo.model.GpsVO;
import api.common.util.ObjectUtil;
import api.common.util.StringUtil;
import com.css.simulation.resource.common.utils.AuthUtil;
import com.css.simulation.resource.common.utils.PoUtil;
import com.css.simulation.resource.model.mapper.GpsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Timestamp;
import java.util.List;

@Service
public class GpsService {

    @Autowired
    GpsMapper gpsMapper;

    public List<GpsVO> getGpsList(GpsParam gpsParam) {
        gpsParam.setCreateUserId(AuthUtil.getCurrentUserId());
        gpsParam.setShare(null);
        List<GpsVO> list = gpsMapper.getGpsList(gpsParam);
        return list;
    }

    public List<GpsVO> getMyGpsList(GpsParam gpsParam) {
        gpsParam.setCreateUserId(AuthUtil.getCurrentUserId());
        gpsParam.setShare(DictConstants.NO);
        List<GpsVO> list = gpsMapper.getGpsList(gpsParam);
        return list;
    }

    public GpsVO getGpsInfo(GpsParam gpsParam) {
        return gpsMapper.getGpsInfo(gpsParam);
    }

    public GpsPO saveGps(GpsPO gpsPO) {
        //常规字段赋值
        PoUtil.initAddPo(gpsPO);
        gpsPO.setShare(DictConstants.NO);//私有
        //名称校验
        List<GpsVO> list = gpsMapper.checkGpsName(gpsPO);
        if(ObjectUtil.isNotNull(list)){
            gpsPO.setId(null);
            return gpsPO;
        }
        String id = gpsPO.getId();
        if(ObjectUtil.isNull(id)){//新增
            gpsPO.setId(StringUtil.getRandomUUID());
            gpsPO.setSensorCode(StringUtil.getRandomCode());
            gpsMapper.insert(gpsPO);
        }else{//修改
            gpsMapper.update(gpsPO);
        }
        return gpsPO;
    }

    public GpsPO shareGps(GpsPO gpsPO) {
        //调用保存
        saveGps(gpsPO);
        gpsPO.setShare(DictConstants.YES);//转公有
        gpsPO.setCreateUserId(null);
        //名称校验
        List<GpsVO> list = gpsMapper.checkGpsName(gpsPO);
        if(ObjectUtil.isNotNull(list)){
            gpsPO.setId(null);
            return gpsPO;
        }
        //常规字段赋值
        PoUtil.initAddPo(gpsPO);
        gpsPO.setId(StringUtil.getRandomUUID());
        gpsPO.setSensorCode(StringUtil.getRandomCode());
        gpsMapper.insert(gpsPO);
        return gpsPO;
    }

    public int delGpsById(GpsPO gpsPO) {
        PoUtil.initDelPo(gpsPO);
        int i = gpsMapper.delGpsById(gpsPO);
        return i;
    }
}
