package com.css.simulation.resource.project.mapper;

import api.common.pojo.param.project.ProjectTaskParam;
import api.common.pojo.param.project.SceneScoreParam;
import api.common.pojo.param.project.SimulationManualProjectParam;
import api.common.pojo.po.algorithm.AlgorithmPO;
import api.common.pojo.po.model.ConfigPO;
import api.common.pojo.po.model.ConfigSensorPO;
import api.common.pojo.po.model.VehiclePO;
import api.common.pojo.po.project.*;
import api.common.pojo.po.scene.ScenePackagePO;
import api.common.pojo.po.scene.ScenePackageSublistPO;
import api.common.pojo.vo.project.*;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SimulationProjectMapper {

    int add(SimulationManualProjectPo po);

    int update(SimulationManualProjectPo po);

    SimulationManualProjectPo selectLastProjectId(Integer nowRq);

    List<SimulationManualProjectPo> selectProject(SimulationManualProjectParam param);

    List<SimulationManualProjectVo> selectProjectList(SimulationManualProjectParam param);

    SimulationManualProjectPo selectProjectById(SimulationManualProjectParam param);

    List<SimulationManualProjectPo> selectProjectByName(SimulationManualProjectParam param);

    SimulationManualProjectPo selectProjectBaseById(SimulationManualProjectParam param);

    int deleteProject(String[] ids);

    int updateProjectNowRunState(SimulationManualProjectParam param);

    List<AlgorithmPO> selectAlgorithmBaseInfoById(AlgorithmPO algorithmPO);

    List<VehiclePO> selectVehicleBaseInfoById(String id);

    List<ScenePackagePO> selectScenePackageBaseById(ScenePackagePO scenePackagePO);

    List<ConfigSensorPO> selectVehicleSensor(String id);

    SensorBaseInfoVo selectSensorCamera(String id);

    SensorBaseInfoVo selectSensorOgt(String id);

    SensorBaseInfoVo selectSensorLidar(String id);

    SensorBaseInfoVo selectSensorRadar(String id);

    SensorBaseInfoVo selectSensorGps(String id);

    SceneBaseInfoVo selectSceneAccidentById(String id);

    SceneBaseInfoVo selectSceneNatural(String id);

    SceneBaseInfoVo selectSceneStandardsRegulations(String id);

    List<ScenePackageSubListVO> selectSubSceneByPid(String id);

    ScenePackageSubListVO selectsublistBySublistId(String id);

    List<ScenePackageSubListVO> selectSubListByPid(String id);

    int insertSimulationMptLastTargetScorePo(SimulationMptLastTargetScorePo po);

    int insertSimulationMptFirstTargetScorePo(SimulationMptFirstTargetScorePo po);

    List<SimulationMptSceneScorePo> selectSceneScore(SimulationMptSceneScorePo po);

    SystemUserVo selectUserById(String id);

    List<ConfigPO> selectConfigVehicle(ConfigPO configPO);

    List<ConfigSensorPO> selectConfigSensor(String id);

    List<SimulationManualProjectPo> selectProjectNowRunState(String[] ids);

    List<SublistScoreVo> selectSubScore(String id);

    Integer selectRunProjectBySy(Map map);

    List<Map> selectRunProjectByState(Map map);

    List<Map> selectEvaluationLevel(Map map);

    int insertOtherAlgorithm(AlgorithmPO po);

    int updateOtherAlgorithm(AlgorithmPO po);

    AlgorithmPO selectalgorithmByQuery(AlgorithmPO po);

    SimulationManualProjectPo selectProjectReportIdByAlgorithmId(String algorithmId);


}
