package com.css.simulation.resource.scene.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.ScenePackageParam;
import api.common.pojo.po.scene.ScenePackagePO;
import api.common.pojo.vo.scene.ScenePackageSublistVO;
import api.common.pojo.vo.scene.ScenePackageVO;
import api.common.util.ObjectUtil;
import com.css.simulation.resource.common.utils.PageUtil;
import com.css.simulation.resource.scene.service.ScenePackageService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

//测试包
@RestController
@RequestMapping("/ScenePackage")
public class ScenePackageController {

    @Resource
    ScenePackageService scenePackageService;

    //查询主表列表
    @PostMapping("/queryScenePackageList")
    @ResponseBody
    public ResponseBodyVO<List<ScenePackageVO>> queryScenePackageList(@RequestBody ScenePackageParam parms) {
        PageUtil.setPageInfo(parms);
        List<ScenePackagePO> list = scenePackageService.queryScenePackageList(parms);
        PageInfo<ScenePackagePO> objectPageInfo = new PageInfo<>(list);
        List<ScenePackageVO> list1 = new ArrayList<>();
        for (ScenePackagePO po : list) {
            ScenePackageVO vo = new ScenePackageVO();
            BeanUtils.copyProperties(po, vo);
            list1.add(vo);
        }
        PageInfo pageInfo = new PageInfo<>(list1);
        pageInfo.setTotal(objectPageInfo.getTotal());
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS, pageInfo);
    }


    //新增测试包
    @PostMapping("/saveScenePackage")
    @ResponseBody
    public ResponseBodyVO<String> saveScoringRules(@RequestBody Map<String, List<ScenePackageSublistVO>> map) {

        List<ScenePackageSublistVO> params = map.get("params");
        if (params == null || params.size() < 1) {
            return new ResponseBodyVO(ResponseBodyVO.Response.CLIENT_FAILURE, "参数不能为空，请检查");
        } else if (params.get(0).getId() == null || params.get(0).getPackageLevel() == 1) {
            params.get(0).setId("");
            return scenePackageService.saveScenePackage(params);
        } else {
            return scenePackageService.updateScenePackage(params);
        }
    }

    //修改
    @PostMapping("/updateScenePackage")
    @ResponseBody
    public ResponseBodyVO<String> updateScenePackage(@RequestBody Map<String, List<ScenePackageSublistVO>> map) {
        List<ScenePackageSublistVO> params = map.get("params");
        return scenePackageService.updateScenePackage(params);
    }

    //查询一个测试包列表
    @PostMapping("/queryScenePackageSublistList")
    @ResponseBody
    public ResponseBodyVO<List<ScenePackageSublistVO>> queryScenePackageSublistList(@RequestBody ScenePackageParam parms) {
        if (ObjectUtil.isNull(parms.getPackageId())) {
            return new ResponseBodyVO(ResponseBodyVO.Response.CLIENT_FAILURE, "参数PackageId不能为空，请检查");
        }
        List<ScenePackageSublistVO> list = scenePackageService.queryScenePackageSublistList(parms);

        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS, list);
    }

    //测试包分享
    @PostMapping("/instShareList")
    @ResponseBody
    public ResponseBodyVO<String> instShareList(@RequestBody ScenePackageParam parms) {
        if (ObjectUtil.isNull(parms.getPackageId())) {
            return new ResponseBodyVO(ResponseBodyVO.Response.CLIENT_FAILURE, "参数PackageId不能为空，请检查");
        }
        return scenePackageService.instShareList(parms);
    }

    //测试包删除
    @PostMapping("/deleteList")
    @ResponseBody
    public ResponseBodyVO<String> deleteList(@RequestBody ScenePackageParam parms) {
        if (ObjectUtil.isNull(parms.getPackageId())) {
            return new ResponseBodyVO(ResponseBodyVO.Response.CLIENT_FAILURE, "参数PackageId不能为空，请检查");
        }
        scenePackageService.deleteList(parms);
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS);
    }

}