package com.css.simulation.resource.scene.service;


import api.common.pojo.po.scene.SystemUserScenePO;
import api.common.util.TimeUtil;
import com.css.simulation.resource.common.utils.AuthUtil;
import com.css.simulation.resource.scene.mapper.SystemUserSceneMapper;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Slf4j
@Service
public class SystemUserSceneService {

    @Resource
    private SystemUserSceneMapper systemUserSceneMapper;

    /**
     * 人员场景关联表数据录入
     */
    @SneakyThrows
    public void saveSystemUserScene(List<SystemUserScenePO> list) {
        for (SystemUserScenePO po:list) {
            po.setUserId(AuthUtil.getCurrentUserId());
            po.setIsDeleted("0");
            po.setCreateUserId(AuthUtil.getCurrentUserId());
            po.setCreateTime(TimeUtil.getNowForMysql());
            po.setModifyTime(TimeUtil.getNowForMysql());
        }
        systemUserSceneMapper.saveSystemUserScene(list);
    }

    //场景列表展示时使用
    @SneakyThrows
    public  List<String> querySystemUserSceneByType(String type) {
        SystemUserScenePO po=new SystemUserScenePO();
        po.setSceneType(type);
        po.setUserId(AuthUtil.getCurrentUserId());
        return systemUserSceneMapper.querySystemUserSceneByType(po);
    }

    @SneakyThrows
    public List<SystemUserScenePO> querySystemUserScene(SystemUserScenePO po) {
        po.setUserId(AuthUtil.getCurrentUserId());
       return systemUserSceneMapper.querySystemUserScene(po);
    }
    //根据用户id删除
    @SneakyThrows
    public void deleteSystemUserSceneByUserId() {
        SystemUserScenePO po=new SystemUserScenePO();
        po.setUserId(AuthUtil.getCurrentUserId());
        po.setIsDeleted("1");
        po.setModifyTime(TimeUtil.getNowForMysql());
        po.setModifyUserId(AuthUtil.getCurrentUserId());
        systemUserSceneMapper.deleteSystemUserSceneByUserId(po);
    }
    //场景删除时关联删除关系表
    @SneakyThrows
    public void deleteSystemUserSceneBySceneId(String sceneId) {
        SystemUserScenePO po=new SystemUserScenePO();
        po.setSceneId(sceneId);
        po.setIsDeleted("1");
        po.setModifyTime(TimeUtil.getNowForMysql());
        po.setModifyUserId(AuthUtil.getCurrentUserId());
        systemUserSceneMapper.deleteSystemUserSceneBySceneId(po);
    }
}
