package com.css.simulation.resource.system.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.vo.system.MenuVO;
import com.css.simulation.resource.system.service.MenuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

/**
 * 菜单管理
 */
@Controller
@RequestMapping("/menu")
public class MenuCtrl {

    @Autowired
    MenuService menuService;

    /**
     * 获取当前登录人的菜单列表
     */
    @RequestMapping("/getMenus")
    @ResponseBody
    public ResponseBodyVO getMenus() {
        ResponseBodyVO<List<MenuVO>> response = new ResponseBodyVO<List<MenuVO>>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(menuService.getMenus());
        return response;
    }
}
